View Source

<h1>Zend Framework Web Hosts</h1>

<p><strong>Please post a link to a &quot;phpinfo&quot; web page, so that everyone can see which PHP extensions are supported.</strong></p>
<ac:macro ac:name="tip"><ac:rich-text-body><p>If you already have a host you may want to read <a href="http://framework.zend.com/wiki/display/ZFDEV/Installing+Zend+Framework+on+a+Web+Hosting+Provider">Installing Zend Framework on a Web Hosting Provider</a> instead.</p></ac:rich-text-body></ac:macro>
<ac:macro ac:name="note"><ac:parameter ac:name="title">Content guidelines</ac:parameter><ac:rich-text-body><p>Please add your entry in the correct alphabetical order and limit yourself to about one paragraph.</p></ac:rich-text-body></ac:macro>
<p><a href="http://framework.zend.com/manual/en/requirements.html">The current requirements for Zend Framework</a> are PHP <span style="text-decoration: line-through;">5.1.4</span> 5.2.4.</p>

<h2>Web Hosting Providers Who Support PHP 5.3</h2>


<h3>Europe</h3>

<ul>
<li><a href="http://www.onlime.ch/">Onlime Webhosting</a> in Switzerland. We are providing Shared Linux Hosting and keep up with latest PHP versions. You'll never wait longer than a week to get the current stable version of PHP 5.2.x and 5.3.x (switch PHP version directly from your controlpanel with a single click). Suhosin-secured PHP running in CGI-mode with SuExec, no need for safe_mode. Zend Framework is accessible for all customers in a central location (part of PHP's include_path). <a href="http://www.virtual-host.ch/phpinfo.php">phpinfo 5.3</a>, <a href="http://web33.onlime.ch/phpinfo.php">phpinfo 5.2</a></li>
</ul>


<h3>North America</h3>

<ul>
<li><a href="http://www.dreamhost.com/">DreamHost</a> - Latest installed version: 5.2.2. See <a href="http://php.dreamhosters.com/">latest version information</a> and <a href="http://blog.dreamhosters.com/kbase/index.cgi?area=2538">how to compile a custom version of PHP</a>.</li>
<li><a href="http://www.fusionhost.com">FusionHost</a> - Fully compatible with latest version of Zend Framework. Running PHP versions 5.2.x and 5.3.x (switch between versions by contacting support) <a href="http://www.fusionhost.com/phpinfo.php">php info</a></li>
<li><a href="http://www.site5.com/">Site5</a> - Fully compatible with the latest version of Zend Framework, running PHP 5.3.x and also supports PHP 4.4.9 and PHP 5.2.17. Support from the staff is fast and support forums are friendly and helpful. To run PHP 5.3.x you will <a href="http://www.site5.com/blog/programming/php/php-5-3-is-now-available-at-site5/20101015/">need to add a .htaccess</a> line.</li>
</ul>



<h2>Web Hosting Providers Who Support PHP 5.1.4</h2>


<h3>Africa</h3>


<h3>Asia</h3>
<ul>
<li><span style="text-decoration: line-through;"><a href="http://www.kanmonline.com/">Kanmonline Japan</a></span><strong>closed</strong> - We are providing Linux shared hosting, Linux email hosting and rental dedicated server services in Japan. PHP5(latest), MySQL 5.0, Zend Framework 1.5 are installed on all of our servers (<a href="http://kanmonline.net">PHP Info</a>). We also have the popular PECL and PEAR libraries pre-installed.</li>
</ul>



<h3>Australia/Oceania</h3>

<ul>
<li><a href="http://www.dotable.com/">Dotable</a> - Dotable is the actualisation of success and integrity in the hosting industry. Dotable's two owners have more than a decade of combined industry experience, hosting tens of thousands of domains. Your sites are in safe, mature and experienced hands.</li>
<li><a href="http://www.httpme.com/">HTTPme</a></li>
</ul>


<h3>Europe</h3>

<ul>
<li>1&amp;1 (<a href="http://www.1und1.de/">Germany</a>, <a href="http://www.1and1.co.uk/">UK</a>, <a href="http://www.1and1.fr/">France</a>, <a href="http://www.1und1.at/">Austria</a>) - Latest installed version: 5.2.0 (also supports 4.4.4). Note that all versions of PHP on Linux Shared Hosting Plans run as CGI. To enable PHP 5 support for Zend Framework, add this to your .htaccess file:
<ac:macro ac:name="code"><ac:plain-text-body><![CDATA[
AddType x-mapp-php5 .php
]]></ac:plain-text-body></ac:macro></li>
<li><a href="http://www.3towers.de">3Towers</a> in germany. PHP5 and PHP4 with many extensions supported. Current PHP5 version is 5.2.1 and PHP4 version 4.4.6 both with Suhosin patch. Zend Optimizer and ionCube Loader encoded files are supported. MySQL version currently 5.0.26 (mysqli and PDO supported). <a href="http://phpinfo.3towers.de">phpinfo</a></li>
<li><a href="http://www.domainfactory.de">Domainfactory</a> In Germany. You can choose the PHP version you want to use yourself(via webinterface) Be it PHP 4, 5.1.2, 5.1.4, 5.2.1 or whatever might follow.</li>
<li><a href="http://www.ovh.com/en/">OHV</a> - Support PHP 5.1.4 on their dedicated servers.</li>
<li><a href="http://xeriom.net/">Xeriom Networks</a> - Keep up with PHP releases as soon as they're decided to be stable enough to upgrade to. Friendly support, good prices, decent quantity of bandwidth. Servers are actually based in the UK unlike many of our competitors.</li>
<li><a href="http://www.ibuildings.nl">Ibuildings.nl</a>, based in the Netherlands. Currently supporting PHP 5.1.4. (also 4.3.9) and MySQL 5.0.18 (also 3.23.58)</li>
<li><a href="http://www.hosteurope.de">Host Europe</a> in germany. You can choose between PHP5 (5.2.1 <a href="http://www.neue-webpack-demo.de/phpinfo.php">phpinfo PHP5</a>) and PHP4 (4.4.6 <a href="http://www.neue-webpack-demo.de/phpinfo.php4">phpinfo PHP4</a>).</li>
<li><a href="http://www.servergrove.com">ServerGrove Networks </a> - Zend Framework instalado en todas las cuentas de hosting. <a href="https://secure.servergrove.com/phpinfo">PHP 5.2.x info </a> (Mysql 5.0, Sqlite, Postgres, PDO, GD, Imap, Ldap, y muchas m&aacute;s) Si tiene una necesidad especial, cont&aacute;ctenos y haremos lo posible para ofrec&eacute;rcelo! Soporte en espa&ntilde;ol y portugu&eacute;s. Representantes en Espa&ntilde;a.</li>
<li><a href="http://www.prohost.pl">Prohost.pl </a> - php4/php5.2.x, postgres, mysql5. shared/vps hosting. cpanel/directadmin panel. <a href="http://pro-net-hosting.com/php.php5">phpinfo </a></li>
<li><a href="http://www.weble.be">Weble</a> - Currently supporting php 5.2.6 or higher when new stable versions appear. Pre-installed versions of Zend Framework available. <a href="http://www.weble.be/weble/_phpinfo.php">php info</a> - <a href="http://www.weble.be/_weble/zendframework.php">Zend Framework versions</a></li>
</ul>


<h3>North America</h3>

<ul>
<li><a href="http://www.1and1.com/">1&amp;1</a> - Latest installed version: <a href="http://links.1and1faqs.com/check_info.php5">5.2.0</a> (also supports <a href="http://links.1and1faqs.com/check_info.php">4.4.4</a> and <a href="http://links.1and1faqs.com/check_info.php3">3.0.18</a>). Note that all versions of PHP on Linux Shared Hosting Plans run as CGI. To enable PHP 5 support for Zend Framework, add this to your .htaccess file:
<ac:macro ac:name="code"><ac:plain-text-body><![CDATA[
AddType x-mapp-php5 .php
]]></ac:plain-text-body></ac:macro></li>
<li><a href="http://asmallorange.com/">A Small Orange</a> - Specializing in website hosting and ISP services, A Small Orange strives to provide the best experience for our clients. From top notch support staff to blazing fast servers, A Small Orange is able to bring the highest quality service available.</li>
<li><a href="http://www.a2hosting.com/">A2 Hosting</a> - PHP 5.2.1, PDO(sqlite2, sqlite, mysql, pgsql), JSON, MySQL 5 &amp; 4 (Additional modules available on request)</li>
<li><a href="http://arvixe.com/">Arvixe</a> - Supports PHP 5.1.5 and MySQL 5.0.24.</li>
<li><a href="http://www.dotservant.com/">Dotservant.com Website Hosting</a> - All new accounts default to setup on servers with PHP 5.x and MySQL 5.x and above.</li>
<li><a href="http://www.elief.com/">Elief!</a> - Fully compatible with latest version of Zend Framework, running latest version of PHP 5.2.x. Elief! hosting is based on LiteSpeed Web Server technology, which offers the same great features of Apache yet delivers up to 9x faster loading speeds.</li>
<li><a href="http://godaddy.com/">GoDaddy.com</a></li>
<li><a href="http://www.hawkhost.com/">Hawk Host</a> - PHP4/5 Support running the current Zend Framework. All versions of PHP up to the latest stable release.</li>
<li><a href="http://www.hostentic.com/">Hostentic</a> - Fully compatible with latest version of Zend Framework. Running latest version of PHP 5.2.x</li>
<li><a href="http://www.mediatemple.com">MediaTemple </a> - Zend Framework listed as 'compatible with The Grid'! Mediatemple offers Gridserver plans which allow side-by-side <a href="http://s1555.gridserver.com/gs-bin/phpinfo.php4">PHP 4.4.4 </a> + <a href="http://s1555.gridserver.com/gs-bin/phpinfo.php5">PHP 5.1.6 </a> (Click For phpinfo()) Also offers MySQL 4.1.11 &amp; PostgreSQL 7.4.7) <a href="http://www.mediatemple.net/webhosting/gs/">More info </a></li>
<li><a href="http://www.servage.net/">Servage</a> - Supports PHP 5.2, some pb with pdo/mysql.</li>
<li><a href="http://www.servergrove.com">ServerGrove Networks </a> - Zend Framework installed in every hosting account. <a href="https://secure.servergrove.com/phpinfo">PHP 5.2.x info </a> (Mysql 5.0, Sqlite, Postgres, PDO, GD, Imap, Ldap, and many more) If you see something you need and we do not have it, contact us!</li>
<li><a href="http://www.simplehelix.com">simple helix</a> - Enterprise Zend Framework Hosting | Intel-Quad-Core-Optimized Apache 2.2 running the latest PHP 5.2.5 w/ xCache, MySQL 5, Apache 2.2, PDO(mysql,sqlite,pgsql), JSON, SOAP, CURL, ImageMagick. True Multi-Homed OC-192 Network. Now Magento Commerce ready!</li>
</ul>




<h3>South America</h3>

<ul>
<li><a href="http://www.servergrove.com.ar">ServerGrove Networks </a> - Zend Framework instalado en todas las cuentas de hosting. <a href="https://secure.servergrove.com/phpinfo">PHP 5.2.x info </a> (Mysql 5.0, Sqlite, Postgres, PDO, GD, Imap, Ldap, y muchas m&aacute;s) Si tiene una necesidad especial, cont&aacute;ctenos y haremos lo posible para ofrec&eacute;rcelo! Soporte en espa&ntilde;ol y portugu&eacute;s. Representantes en Argentina, Brasil y Uruguay.</li>
</ul>


<h2>Web Hosting Providers Rumored to Support 5.1.4</h2>


<h3>Africa</h3>


<h3>Asia</h3>


<h3>Australia/Oceania</h3>


<h3>Europe</h3>


<h3>North America</h3>

<ul>
<li><a href="http://www.interland.com/">Interland</a></li>
</ul>


<h3>South America</h3>


<h2>Popular Web Hosting Providers</h2>

<p>These providers may or may not support PHP 5.1.4.<br />
Please remove the entries below, and add them to the appropriate section above, if you know that they support PHP 5.1.4+.</p>

<h3>Africa</h3>


<h3>Asia</h3>

<ul>
<li><a href="http://www.hostway.co.kr/">Hostway</a> - Korea</li>
</ul>


<h3>Australia/Oceania</h3>

<ul>
<li><a href="http://www.hostway.com.au/">Hostway</a></li>
</ul>


<h3>Europe</h3>

<ul>
<li><a href="http://www.dsvr.co.uk/">Designer Servers</a></li>
<li>Hostway (<a href="http://www.hostway.co.uk/">UK</a>, <a href="http://www.hostway.nl/">Netherlands</a>, <a href="http://www.hostway.be/">Belgium</a>, <a href="http://www.hostway.de/">Germany</a>, <a href="http://www.hostway.fr/">France</a>)</li>
</ul>


<h3>North America</h3>

<ul>
<li><a href="http://www.hawkhost.com/">Hawk Host</a> - PHP4/5 Support running the current Zend Framework. All versions of PHP up to the latest stable release.</li>
<li><a href="http://www.hostway.com/">Hostway</a></li>
<li><a href="http://www.he.net/">Hurricane Electric Internet Services</a></li>
<li><a href="http://www.pair.com/">pair Networks</a> - Latest installed version: 5.1.1 (as <code>php5</code>).</li>
<li><a href="http://www.rackspace.com/">RackSpace</a></li>
</ul>


<h3>South America</h3>